Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.ode
Class Btableau

public class Btableau

Constructor Summary
`Btableau(double[][] a, double[] b, double[] c, String FSAL)`
`Btableau(double[][] a, double[] b, double[] bEmb, double[] c, String FSAL)`
`Btableau(double[][] a, double[] b, double[] bEmb, Btheta btheta, double[] c, String FSAL)`
`Btableau(double[][] a, double[][] ahat, double[] b, double[] bhat)`
`Btableau(String special)`

Method Summary
`double[][]` | `get_a()`
`double[][]` | `get_ahat()`
`double[]` | `get_b()`
`double[]` | `get_bEmb()`
`double[]` | `get_bhat()`
`double[]` | `get_bhatEmb()`
`Btheta` | `get_btheta()`
`double[]` | `get_c()`
`double[]` | `get_chat()`
`boolean` | `get_FSALenabled()`
`int` | `getah()`
`int` | `getahath()`
`int` | `getahatl()`
`int` | `getal()`
`int` | `getbEmbl()`
`int` | `getbhatEmbl()`
`int` | `getbhatl()`
`int` | `getbl()`
`int` | `getchatl()`
`int` | `getcl()`

Constructor Detail

### Btableau

    public Btableau(double[][] a, double[] b, double[] c, String FSAL)
               throws java.lang.Exception

### Btableau

    public Btableau(double[][] a, double[] b, double[] bEmb, double[] c, String FSAL)
               throws java.lang.Exception

### Btableau

    public Btableau(double[][] a, double[] b, double[] bEmb, Btheta btheta, double[] c, String FSAL)
               throws java.lang.Exception

### Btableau

    public Btableau(double[][] a, double[][] ahat, double[] b, double[] bhat)
               throws java.lang.Exception

### Btableau

    public Btableau(String special)
               throws java.lang.Exception

Method Detail

### get_a

    public double[][] get_a()

### get_ahat

    public double[][] get_ahat()

### get_b

    public double[] get_b()

### get_bEmb

    public double[] get_bEmb()

### get_bhat

    public double[] get_bhat()

### get_bhatEmb

    public double[] get_bhatEmb()

### get_btheta

    public Btheta get_btheta()

### get_c

    public double[] get_c()

### get_chat

    public double[] get_chat()

### get_FSALenabled

    public boolean get_FSALenabled()

### getah

    public int getah()

### getahath

    public int getahath()

### getahatl

    public int getahatl()

### getal

    public int getal()

### getbEmbl

    public int getbEmbl()

### getbhatEmbl

    public int getbhatEmbl()

### getbhatl

    public int getbhatl()

### getbl

    public int getbl()

### getchatl

    public int getchatl()

### getcl

    public int getcl()

Association Links

to Class biouml.plugins.simulation.ode.Btheta

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM